Skip to navigation

Get all the approval requests.

Requires the QUOTE.VIEW, INVOICE.VIEW or PRICING_PLAN_SCHEDULE.VIEW permission. Returns only approval requests whose source you may view: QUOTE_VERSION requires QUOTE.VIEW; INVOICE requires INVOICE.VIEW; PRICING_PLAN_SCHEDULE requires PRICING_PLAN_SCHEDULE.VIEW. Expanding approval_policies also requires APPROVAL_POLICY.VIEW.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

source_typestringOptional
The object type in which this Approval Request was triggered. I.e. INVOICE.
source_idstringOptional
The ID of the object type that triggered this Approval Request.
source_ids[]list of stringsOptional

Filter Approval Requests based on multiple source IDs of the same source_type, e.g. pricing plan schedules of a subscription.

user_idstringOptional
The ID of the user to check if they are an approver.
statuses[]list of stringsOptional

Filter Approval Request based on status(es)

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.
expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.

Response

OK
datalist of objects
limitinteger or nullOptional
pageinteger or nullOptional
total_number_of_pagesinteger or nullOptionalDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error